## qt6-base 6.8.0+dfsg

=== debian/changelog ===
qt6-base (6.8.0+dfsg-0deepin11) unstable; urgency=medium

  [ Tian ShiLin ]
  * fix addsingle finger to scroll under the-touch screen

 -- Tianyu Chen <sweetyfish@deepin.org>  Fri, 29 Aug 2025 17:12:45 +0800

qt6-base (6.8.0+dfsg-0deepin10) unstable; urgency=medium

  * chore: update sw64 support patch.

 -- hudeng <hudeng@deepin.org>  Wed, 09 Jul 2025 18:49:57 +0800

qt6-base (6.8.0+dfsg-0deepin9) unstable; urgency=medium

  * Add xcb private headers
  * feat: add sw64 support.

 -- Cryolitia <cryolitia@deepin.org>  Thu, 03 Jul 2025 17:54:59 +0800

qt6-base (6.8.0+dfsg-0deepin8) unstable; urgency=medium

  * New upstream release.
  * fix: Handle missing charset value in qDecodeDataUrl to avoid assertion
    -- CVE-2025-5455_qDecodeDataUrl_FixMalformedCharsetHandling.patch

 -- Tian ShiLin <tianshilin@uniontech.com>  Fri, 13 Jun 2025 11:02:43 +0800
  

qt6-base (6.8.0+dfsg-0deepin7) unstable; urgency=medium

  * Revert "Add Give-the-popup-window-focus.patch"

 -- tsic404 <linuheng@deepin.org>  Thu, 27 Feb 2025 03:07:47 +0000

qt6-base (6.8.0+dfsg-0deepin6) unstable; urgency=medium

  * Add Give-the-popup-window-focus.patch.

 -- tsic404 <liuheng@depein.org>  Tue, 14 Jan 2025 12:49:35 +0800

qt6-base (6.8.0+dfsg-0deepin5) unstable; urgency=medium

  * Add fix-QApplciation-with-a-QML-popupWindow.patch.

 -- Lu YaNing <luyaning@uniontech.com>  Sat, 30 Nov 2024 15:28:56 +0800

qt6-base (6.8.0+dfsg-0deepin4) unstable; urgency=medium

  * add qt6-base-dev depends libcups2-dev.

 -- lichenggang <lichenggang@deepin.org>  Tue, 05 Nov 2024 21:25:31 +0800

qt6-base (6.8.0+dfsg-0deepin3) unstable; urgency=medium

  * update install.

 -- lichenggang <lichenggang@deepin.org>  Thu, 31 Oct 2024 21:00:41 +0800

qt6-base (6.8.0+dfsg-0deepin1) unstable; urgency=medium

  * New upstream release (6.8.0).
  * Refresh patches.
  * Update ABI to 6.8.0.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Tianyu Chen <sweetyfish@deepin.org>  Fri, 18 Oct 2024 11:41:53 +0800

qt6-base (6.6.1+dfsg-5deepin5) unstable; urgency=medium

  * feat: Add QT_FORCE_OPENGL_TYPE

 -- Lu YaNing <luyaning@uniontech.org>  Wed, 18 Sep 2024 14:05:16 +0800

qt6-base (6.6.1+dfsg-5deepin4) unstable; urgency=medium

  * fix: Ensure that libzstd targets are promoted to global i

 -- hudeng <hudeng@deepin.org>  Mon, 16 Sep 2024 00:06:35 +0800
