=== debian/control ===
Source: qt6-base
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.24~),
               debhelper-compat (= 13),
               default-libmysqlclient-dev,
               dh-exec,
               firebird-dev (<< 4.0~) [linux-any],
               libatspi2.0-dev,
               libb2-dev,
               libcups2-dev,
               libdbus-1-dev,
               libdouble-conversion-dev,
               libdrm-dev [linux-any],
               libfontconfig-dev,
               libfreetype-dev,
               libgbm-dev [linux-any],
               libgl-dev,
               libgles-dev,
               libglib2.0-dev,
               libglu1-mesa-dev | libglu-dev,
               libgtk-3-dev,
               libharfbuzz-dev,
               libicu-dev,
               libinput-dev [linux-any],
               libjpeg-dev,
               libkrb5-dev,
               liblttng-ust-dev [linux-any],
               libmd4c-dev,
               libmd4c-html0-dev,
               libmtdev-dev [linux-any],
               libpcre2-dev,
               libpng-dev,
               libpq-dev,
               libproxy-dev,
               libsctp-dev [linux-any],
               libsqlite3-dev,
               libssl-dev,
               libsystemd-dev [linux-any],
               libts-dev,
               libudev-dev [linux-any],
               libvulkan-dev [linux-any],
               libwayland-dev [linux-any],
               libx11-dev,
               libx11-xcb-dev,
               libxcb-cursor-dev,
               libxcb-glx0-dev,
               libxcb-icccm4-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-randr0-dev,
               libxcb-render-util0-dev,
               libxcb-render0-dev,
               libxcb-shape0-dev,
               libxcb-shm0-dev,
               libxcb-sync-dev,
               libxcb-util-dev,
               libxcb-xfixes0-dev,
               libxcb-xinerama0-dev,
               libxcb-xinput-dev,
               libxcb-xkb-dev,
               libxcb1-dev,
               libxext-dev,
               libxfixes-dev,
               libxi-dev,
               libxkbcommon-dev,
               libxkbcommon-x11-dev,
               libxrender-dev,
               libzstd-dev,
               ninja-build,
               pkg-config,
               pkg-kde-tools (>= 0.15.17~),
               qt6-base-dev:native <cross>,
               unixodbc-dev,
               zlib1g-dev,
Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
Standards-Version: 4.6.2
Section: libs
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-base.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-base

Package: libqt6core6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Provides: qt6-base-private-abi (= 6.8.0),
Depends: shared-mime-info, ${misc:Depends}, ${shlibs:Depends},
Recommends: qt6-translations-l10n,
Description: Qt 6 core module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtCore module contains core non-GUI functionality.

Package: libqt6concurrent6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 concurrent module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtConcurrent module contains functionality to support concurrent execution
 of program code.

Package: libqt6dbus6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 D-Bus module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtDBus module is a Unix-only library that you can use to make Inter-Process
 Communication using the D-Bus protocol.
 .
 Applications using the QtDBus module can provide services to other, remote
 applications by exporting objects, as well as use services exported by those
 applications by placing calls and accessing properties.

Package: libqt6gui6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: fontconfig, ${misc:Depends}, ${shlibs:Depends},
Breaks: qt6-qpa-plugins (<< 6.3.1+dfsg-6~),
Replaces: qt6-qpa-plugins (<< 6.3.1+dfsg-6~),
Recommends: qt6-gtk-platformtheme, qt6-qpa-plugins, qt6-wayland [linux-any],
Description: Qt 6 GUI module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtGui module extends QtCore with GUI functionality.

Package: qt6-qpa-plugins
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: fontconfig, ${misc:Depends}, ${shlibs:Depends},
Breaks: libqt6gui6 (<< 6.3.1+dfsg-6~),
        libqt6network6 (<< 6.2.4+dfsg-5~),
        libqt6opengl6 (<< 6.3.1+dfsg-6~),
Description: Qt 6 QPA plugins
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the following plugins:
   * uioTouch Plugin
   * VNC Plugin

Package: qt6-gtk-platformtheme
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 GTK+ 3 platform theme
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides the GTK+ 3 platform theme, which makes Qt use
 native icon themes, fonts, and dialogs on GTK-based environments.

Package: qt6-xdgdesktopportal-platformtheme
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 XDG Desktop Portal platform theme
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides the XDG Desktop portal platform theme, which makes
 Qt use native file dialogs on Flatpak/Snap based environments.

Package: libqt6opengl6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: qt6-qpa-plugins (<< 6.3.1+dfsg-6~),
Replaces: qt6-qpa-plugins (<< 6.3.1+dfsg-6~),
Description: Qt 6 OpenGL module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtOpenGL module offers classes that make it easy to use OpenGL in Qt
 applications.
 .
 OpenGL is a standard API for rendering 3D graphics. OpenGL only deals with 3D
 rendering and provides little or no support for GUI programming issues.

Package: libqt6openglwidgets6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 OpenGL widgets module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtOpenGL module offers classes that make it easy to use OpenGL in Qt
 applications.
 .
 OpenGL is a standard API for rendering 3D graphics. OpenGL only deals with 3D
 rendering and provides little or no support for GUI programming issues.
 .
 The OpenGL widgets module provides the widget for rendering OpenGL graphics.

Package: libqt6network6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${libssl:Depends}, ${misc:Depends}, ${shlibs:Depends},
Breaks: qt6-qpa-plugins (<< 6.2.4+dfsg-5~),
Replaces: qt6-qpa-plugins (<< 6.2.4+dfsg-5~),
Description: Qt 6 network module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtNetwork module offers classes that allow you to write TCP/IP clients and
 servers. It provides classes to make network programming easier and portable.

Package: libqt6sql6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: libqt6sql6-sqlite | libqt6sql6-mysql | libqt6sql6-odbc | libqt6sql6-psql | libqt6sql6-ibase,
Description: Qt 6 SQL module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtSql module helps you provide seamless database integration to your Qt
 applications.

Package: libqt6sql6-mysql
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 MySQL database driver
 This package contains the MySQL plugin for Qt 6.
 .
 Install it if you intend to use or write Qt programs that are to access a
 MySQL DB.

Package: libqt6sql6-odbc
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 ODBC database driver
 This package contains the ODBC plugin for Qt 6.
 .
 Install it if you intend to use or write Qt programs that are to access an
 ODBC DB.

Package: libqt6sql6-psql
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 PostgreSQL database driver
 This package contains the PostgreSQL plugin for Qt 6.
 .
 Install it if you intend to use or write Qt programs that are to access a
 PostgreSQL DB.

Package: libqt6sql6-sqlite
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 SQLite 3 database driver
 This package contains the SQLite 3 plugin for Qt 6.
 .
 Install it if you intend to use or write Qt programs that are to access an
 SQLite 3 DB.

Package: libqt6sql6-ibase
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Firebird database driver
 This package contains the Firebird plugin for Qt 6.
 .
 Install it if you intend to use or write Qt programs that are to access a
 Firebird/InterBase DB.

Package: libqt6test6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 test module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtTest module provides classes for unit testing Qt applications and
 libraries.

Package: libqt6widgets6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 widgets module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtWidgets module extends QtGui with C++ widget functionality.

Package: libqt6xml6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 XML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtXml module provides a stream reader and writer for XML documents,
 and C++ implementations of SAX and DOM.

Package: libqt6printsupport6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: libcups2,
Description: Qt 6 print support module
 Qt is a cross-platform C++ application framework. Qt's primary feature
