## qt6-base 6.8.1+dfsg

=== debian/changelog ===
qt6-base (6.8.1+dfsg-0ubuntu4) plucky; urgency=medium

  * Drop the upper version limit for firebird-dev.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Jan 2025 21:10:11 +0100

qt6-base (6.8.1+dfsg-0ubuntu3) plucky; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Jan 2025 08:35:50 +0100

qt6-base (6.8.1+dfsg-0ubuntu2) plucky; urgency=medium

  * Sync changes from 6.7.2+dfsg-5
    - Let libqt6gui6 recommend qt6-svg-plugins.

 -- Rik Mills <rikmills@kde.org>  Sat, 21 Dec 2024 09:29:17 +0000

qt6-base (6.8.1+dfsg-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 02:49:59 -0600
