## qt6-base 6.8.2%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: qt6-base
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
@@ -92,7 +91,7 @@
                zlib1g-dev,
 Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                      qt6-documentation-tools (>= 6.8~) <!nodoc>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Section: libs
 Homepage: https://www.qt.io/developers/
 Rules-Requires-Root: no
@@ -100,7 +99,7 @@
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-base
 
 Package: libqt6core6t64
-Provides: qt6-base-private-abi (= 6.8.1), ${t64:Provides},
+Provides: qt6-base-private-abi (= 6.8.2), ${t64:Provides},
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
@@ -184,7 +183,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: gnome-themes-extra-data, ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 GTK+ 3 platform theme
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -333,3 +332,4 @@
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Breaks: libqt6test6t64 (<< ${source:Version}),
 Replaces: libqt6test6t64,
+Description: Qt 6 test module
